# The MEME Suite

## Motif-based sequence analysis tools

## sites2meme

### Usage:

`sites2meme [options] <directory>`

### Description

Convert a directory of files containing sites into a MEME motif file suitable for use with MEME Suite programs.

### Input

####

#### <directory>

The name of a directory that contains 'sites' files, which have the format described below. A MEME formatted motif will be generated for each file that has the expected 'sites' file extension (default ".txt"). The motif will use the name of the file, minus the file extension, as the identifier.

##### Example 'sites' file contents:

    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    AAGGTCA
    CGGGTCA
    CGGGTCA
    CGGGTCA
    GGGGTCG

### Output

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-ext | file extension | The file extension (with '.') of the sites files. Any files without this extension will be ignored. The file name minus the extension will be used as the motif ID. | Files with the extension `.txt` will be used as sites files.
-map | ID mapping file | The ID mapping file contains space separated pairs of the motif ID and the motif name with one entry per line. | Only the motif IDs are used.